# This file should be viewed as a -*- mode: Makefile -*-

include(../../../mobinet.pri)

HEADERS		= 	IPersistObject.h \
			IPersistType.h \
			IPersistData.h \
			MAllocType.h \
			CPersistFactory.h \
			CException.h \
			persist.h \
			persist_string.h \
			PersistPtr.h \
			qpersist.h 

SOURCES		= 	IPersistObject.cpp \
			IPersistType.cpp \
			MAllocType.cpp \
			CPersistFactory.cpp


TARGET		=	PersistXml
unix:DESTDIR	=	../../linux
macx:DESTDIR	=	../../OS-X
win32-msvc.net:DESTDIR	= ../../win32/VC7
win32-msvc2005:DESTDIR	= ../../win32/VC8
win32-msvc2008:DESTDIR	= ../../win32/VC8



TEMPLATE	=	lib

CONFIG		=	staticlib

INCLUDEPATH	+=	$$XML2_INC_PATH
INCLUDEPATH	+=	$$ICONV_INC_PATH

DEFINES		+=	PERSIST_XML

system(echo "    qmake in lib/src/persist/")
