#ifndef INC_CalcWalkerTokenTypes_hpp_
#define INC_CalcWalkerTokenTypes_hpp_

/* $ANTLR 2.7.3rc2: "calc.g" -> "CalcWalkerTokenTypes.hpp"$ */

#ifndef CUSTOM_API
# define CUSTOM_API
#endif

#ifdef __cplusplus
struct CUSTOM_API CalcWalkerTokenTypes {
#endif
	enum {
		EOF_ = 1,
		LITERAL_if = 4,
		LITERAL_stop = 5,
		LITERAL_start = 6,
		LITERAL_restart = 7,
		LITERAL_like = 8,
		LITERAL_move_to = 9,
		LITERAL_echo = 10,
		ID = 11,
		COLON = 12,
		LITERAL_trace = 13,
		REF = 14,
		LITERAL_x = 15,
		LITERAL_y = 16,
		LITERAL_dx = 17,
		LITERAL_dy = 18,
		LITERAL_angle = 19,
		LITERAL_icon = 20,
		LITERAL_color = 21,
		LITERAL_red = 22,
		LITERAL_green = 23,
		LITERAL_blue = 24,
		LITERAL_gray = 25,
		LITERAL_shockx = 26,
		LITERAL_shocky = 27,
		LITERAL_width = 28,
		LITERAL_height = 29,
		LITERAL_zoom = 30,
		LITERAL_visible = 31,
		LITERAL_contact = 32,
		LITERAL_mem = 33,
		PLUS = 34,
		MINUS = 35,
		STAR = 36,
		DIV = 37,
		FLOAT = 38,
		INT = 39,
		LITERAL_sqr = 40,
		LITERAL_sqrt = 41,
		LITERAL_abs = 42,
		LITERAL_sin = 43,
		LITERAL_cos = 44,
		LITERAL_tan = 45,
		LITERAL_acs = 46,
		LITERAL_asn = 47,
		LITERAL_exp = 48,
		LITERAL_log = 49,
		LITERAL_clic = 50,
		LITERAL_click = 51,
		LITERAL_unclick = 52,
		LITERAL_clicked = 53,
		LITERAL_key_left = 54,
		LITERAL_key_right = 55,
		LITERAL_key_up = 56,
		LITERAL_key_down = 57,
		LITERAL_key_space = 58,
		LITERAL_rnd = 59,
		LITERAL_srnd = 60,
		LITERAL_ang = 61,
		LITERAL_min = 62,
		LITERAL_max = 63,
		LITERAL_int = 64,
		LITERAL_frac = 65,
		LITERAL_sgn = 66,
		LITERAL_norm = 67,
		LITERAL_mod = 68,
		LITERAL_dist = 69,
		LITERAL_t = 70,
		LITERAL_dt = 71,
		EQUAL = 72,
		NEQ = 73,
		GREATER = 74,
		GEQ = 75,
		LESS = 76,
		LEQ = 77,
		LITERAL_and = 78,
		LITERAL_or = 79,
		NEWLINE = 80,
		SEMI = 81,
		LITERAL_then = 82,
		LITERAL_else = 83,
		LITERAL_endif = 84,
		LPAREN = 85,
		COMMA = 86,
		RPAREN = 87,
		LITERAL_me = 88,
		LITERAL_prev = 89,
		LITERAL_next = 90,
		LITERAL_EMPTY = 91,
		LITERAL_camera = 92,
		LITERAL_light_one = 93,
		LITERAL_light_two = 94,
		LITERAL_light_three = 95,
		AT = 96,
		LITERAL_mouse = 97,
		LITERAL_collider = 98,
		LITERAL_nearest = 99,
		LITERAL_nearest_second = 100,
		LITERAL_nearest_third = 101,
		LITERAL_nearest_left = 102,
		LITERAL_nearest_right = 103,
		LITERAL_nearest_up = 104,
		LITERAL_nearest_down = 105,
		LITERAL_nearest_in_dir = 106,
		LITERAL_nearest_in_dir_second = 107,
		LITERAL_nearest_in_dir_third = 108,
		LITERAL_PI = 109,
		LITERAL_pi = 110,
		LITERAL_Pi = 111,
		LITERAL_RED = 112,
		LITERAL_GREEN = 113,
		LITERAL_BLUE = 114,
		LITERAL_YELLOW = 115,
		LITERAL_CYAN = 116,
		LITERAL_PURPLE = 117,
		LITERAL_WHITE = 118,
		LITERAL_BLACK = 119,
		LITERAL_GRAY = 120,
		LITERAL_ORANGE = 121,
		COMMENT = 122,
		DIGITS = 123,
		LETTER = 124,
		ATTRIBUTES = 125,
		SYNONYMS = 126,
		FRENCH_VOCAB = 127,
		WS_ = 128,
		NULL_TREE_LOOKAHEAD = 3
	};
#ifdef __cplusplus
};
#endif
#endif /*INC_CalcWalkerTokenTypes_hpp_*/
